# Class MariaXaConnection

java.lang.Object
org.mariadb.jdbc.MariaDbPooledConnection
org.mariadb.jdbc.MariaXaConnection

All Implemented Interfaces:
  `PooledConnection, XAConnection`

public class MariaXaConnection extends MariaDbPooledConnection implements XAConnection

## Constructor Summary

Constructors
Constructor
Description
`MariaXaConnection(MariaDbConnection connection)`

## Method Summary

Modifier and Type
Method
Description
`XAResource`
`getXAResource()`

### Methods inherited from class MariaDbPooledConnection

`abort, addConnectionEventListener, addStatementEventListener, close, ensureValidation, fireConnectionClosed, fireConnectionErrorOccurred, fireStatementClosed, fireStatementErrorOccurred, getConnection, getLastUsed, lastUsedToNow, noStmtEventListeners, removeConnectionEventListener, removeStatementEventListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface PooledConnection

`addConnectionEventListener, addStatementEventListener, close, getConnection, removeConnectionEventListener, removeStatementEventListener`

## Constructor Details

### MariaXaConnection

public MariaXaConnection(MariaDbConnection connection)

## Method Details

### getXAResource

public XAResource getXAResource()

Specified by:
  `getXAResource` in interface `XAConnection`